Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 2)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Thu Oct 02, 2008 1:00 pm    Post subject: Reply with quote

does anyone here know if akonadi/opensync does work with 4.1.68 ?.. I read something about it in the kde commit digest, but I don't know if they used the same snapshot as 4.1.68 is ?!
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Thu Oct 02, 2008 2:03 pm    Post subject: Reply with quote

Problems with Kopete !!
My ICQ and Jabber Accounts don't want to connect ...

Konsole says this:

Code:
kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

kopete(3533) OscarStatusManager::onlineStatusOf: Kopete::OnlineStatus doesn't exists for internal status  4278190592  Using basic status for type  0

Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Oct 02, 2008 2:10 pm    Post subject: Reply with quote

benneque wrote:
Problems with Kopete !!
My ICQ and Jabber Accounts don't want to connect ...

Konsole says this:

Code:
kopete(3533): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'."

Just install kwalletd. Kopete meanwhile depends on it for storing passwords.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Thu Oct 02, 2008 2:13 pm    Post subject: Reply with quote

hm, ok .. but kwalletd is a masked 9999 version. should i really use that ?

EDIT: should i use kwallet or kwalletd ? whats the difference ? or both ? :D

EDIT2: ok, there's a 4.1.68 version. i'll install both... but i still want to know where the difference is. thx
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Oct 02, 2008 2:18 pm    Post subject: Reply with quote

benneque wrote:
hm, ok .. but kwalletd is a masked 9999 version. should i really use that ?

EDIT: should i use kwallet or kwalletd ? whats the difference ? or both ? :D

EDIT2: ok, there's a 4.1.68 version. i'll install both... but i still want to know where the difference is. thx

One is only the daemon, the other is the interface to manage wallets (systray icon, gui etc)
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Thu Oct 02, 2008 2:51 pm    Post subject: Reply with quote

ok, but the trayicon is useful for configuration , though it's fine that it's installed :)

thanks for help.
now a new problem: amarok 1.9999 doesn't compile:

Code:

[ 97%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWindowsStyle.o                       
In file included from /usr/include/qt4/QtCore/qconfig.h:3,                                                                                                                         
                 from /usr/include/qt4/QtCore/qglobal.h:64,                                                                                                                         
                 from /usr/include/qt4/QtCore/qnamespace.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobjectdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobject.h:49,                                                                                                                         
                 from /usr/include/qt4/QtGui/qstyle.h:47,                                                                                                                           
                 from /usr/include/qt4/QtGui/qcommonstyle.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwindowsstyle.h:47,                                                                                                                   
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWindowsStyle.h:4,                                                                                                                                                                             
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWindowsStyle.cpp:1:                                                                                                                                                                           
/usr/include/qt4/Gentoo/gentoo-qconfig.h:18:1: warning: "QT_WEBKIT" redefined                                                                                                       
<command-line>: warning: this is the location of the previous definition                                                                                                           
[ 97%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWizard.o                             
In file included from /usr/include/qt4/QtCore/qconfig.h:3,                                                                                                                         
                 from /usr/include/qt4/QtCore/qglobal.h:64,                                                                                                                         
                 from /usr/include/qt4/QtCore/qnamespace.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobjectdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwindowdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwidget.h:47,                                                                                                                         
                 from /usr/include/qt4/QtGui/qdialog.h:47,                                                                                                                         
                 from /usr/include/qt4/QtGui/qwizard.h:47,                                                                                                                         
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWizard.h:4,                                                                                                                                                                                   
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWizard.cpp:1:                                                                                                                                                                                 
/usr/include/qt4/Gentoo/gentoo-qconfig.h:18:1: warning: "QT_WEBKIT" redefined                                                                                                       
<command-line>: warning: this is the location of the previous definition                                                                                                           
[ 97%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWizardPage.o                         
In file included from /usr/include/qt4/QtCore/qconfig.h:3,                                                                                                                         
                 from /usr/include/qt4/QtCore/qglobal.h:64,                                                                                                                         
                 from /usr/include/qt4/QtCore/qnamespace.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobjectdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwindowdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwidget.h:47,                                                                                                                         
                 from /usr/include/qt4/QtGui/qdialog.h:47,                                                                                                                         
                 from /usr/include/qt4/QtGui/qwizard.h:47,                                                                                                                         
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWizardPage.h:4,                                                                                                                                                                               
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWizardPage.cpp:1:                                                                                                                                                                             
/usr/include/qt4/Gentoo/gentoo-qconfig.h:18:1: warning: "QT_WEBKIT" redefined                                                                                                       
<command-line>: warning: this is the location of the previous definition                                                                                                           
/var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWindowsStyle.cpp: In member function ‘virtual QPixmap QtScriptShell_QWindowsStyle::standardPixmap(QStyle::StandardPixmap, const QStyleOption*, const QWidget*) const’:                                             
/var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWindowsStyle.cpp:342: warning: control reaches end of non-void function                                                                                                                                             
[ 98%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWorkspace.o                           
In file included from /usr/include/qt4/QtCore/qconfig.h:3,                                                                                                                         
                 from /usr/include/qt4/QtCore/qglobal.h:64,                                                                                                                         
                 from /usr/include/qt4/QtCore/qnamespace.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobjectdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwindowdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtGui/qwidget.h:47,                                                                                                                         
                 from /usr/include/qt4/QtGui/qworkspace.h:47,                                                                                                                       
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWorkspace.h:4,                                                                                                                                                                               
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QWorkspace.cpp:1:                                                                                                                                                                             
/usr/include/qt4/Gentoo/gentoo-qconfig.h:18:1: warning: "QT_WEBKIT" redefined                                                                                                       
<command-line>: warning: this is the location of the previous definition                                                                                                           
[ 98%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/main.o                                               
In file included from /usr/include/qt4/QtCore/qconfig.h:3,                                                                                                                         
                 from /usr/include/qt4/QtCore/qglobal.h:64,                                                                                                                         
                 from /usr/include/qt4/QtCore/qnamespace.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobjectdefs.h:47,                                                                                                                     
                 from /usr/include/qt4/QtCore/qobject.h:49,                                                                                                                         
                 from /usr/include/qt4/QtCore/qplugin.h:47,
                 from /usr/include/qt4/QtScript/qscriptextensionplugin.h:47,
                 from /usr/include/qt4/QtScript/QScriptExtensionPlugin:1,
                 from /var/tmp/portage/media-sound/amarok-1.9999/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/main.cpp:1:
/usr/include/qt4/Gentoo/gentoo-qconfig.h:18:1: warning: "QT_WEBKIT" redefined
<command-line>: warning: this is the location of the previous definition
Linking CXX shared module ../../../../lib/libqtscript_gui.so
[ 98%] Built target qtscript_gui
make: *** [all] Error 2
 *
 * ERROR: media-sound/amarok-1.9999 failed.
 * Call stack:
 * ebuild.sh, line   49:  Called src_compile
 * environment, line 2741:  Called kde4overlay-base_src_compile
 * environment, line 2029:  Called kde4overlay-base_src_make
 * environment, line 2062:  Called cmake-utils_src_make
 * environment, line  713:  Called die
 * The specific snippet of code:
 * emake "$@" || die "Make failed!";
 * The die message:
 * Make failed!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/amarok-1.9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/amarok-1.9999/temp/environment'.
 *

>>> Failed to emerge media-sound/amarok-1.9999, Log file:

>>>  '/var/tmp/portage/media-sound/amarok-1.9999/temp/build.log'

 * Messages for package media-sound/amarok-1.9999:

 *
 * ERROR: media-sound/amarok-1.9999 failed.
 * Call stack:
 * ebuild.sh, line   49:  Called src_compile
 * environment, line 2741:  Called kde4overlay-base_src_compile
 * environment, line 2029:  Called kde4overlay-base_src_make
 * environment, line 2062:  Called cmake-utils_src_make
 * environment, line  713:  Called die
 * The specific snippet of code:
 * emake "$@" || die "Make failed!";
 * The die message:
 * Make failed!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/amarok-1.9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/amarok-1.9999/temp/environment'.
 *

 * GNU info directory index is up-to-date.



I hope this log is enough to solve my problem (system is up-to-date! , amd64 , ~amd64)
Back to top
View user's profile Send private message
Shamus397
Apprentice
Apprentice


Joined: 03 Apr 2005
Posts: 218
Location: Ur-th

PostPosted: Thu Oct 02, 2008 5:29 pm    Post subject: Reply with quote

If 4.1.2 is in portage then I sure ain't seeing it. :P (EDIT: Oops, looked in the wrong place. :oops: )

And since this is testing I thought I'd post a file collision here:
Code:
>>> Messages generated by process 23633 on 2008-10-02 10:26:34 CDT for package kde-base/kdelibs-4.1.1-r4:

ERROR: preinst
Detected file collision(s):

        /usr/share/apps/katepart/syntax/bibtex.xml
        /usr/share/apps/katepart/syntax/latex.xml

Searching all installed packages for file collisions...

Press Ctrl-C to Stop

app-editors/kile-1.9.3
        /usr/share/apps/katepart/syntax/bibtex.xml
        /usr/share/apps/katepart/syntax/latex.xml

Package 'kde-base/kdelibs-4.1.1-r4' NOT merged due to file collisions.
If necessary, refer to your elog messages for the whole content of the
above message.

It's too bad there's no mechanism in portage yet to resume an ebuild that stops at this point without having to rebuild the whole damn thing over again. Especially when it was built correctly in the first place. WHAT A WASTE! :(

Sorry, just had to vent. :)


Last edited by Shamus397 on Thu Oct 02, 2008 7:25 pm; edited 1 time in total
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Thu Oct 02, 2008 5:31 pm    Post subject: Reply with quote

kdeplasma-addons-4.1.68 is broken. If I try to add a widget from this package, the desktop freezes.
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
LD
Guru
Guru


Joined: 23 Dec 2003
Posts: 336
Location: Middle of No-Where Granbury, Tx

PostPosted: Thu Oct 02, 2008 7:38 pm    Post subject: Reply with quote

I'm getting a bunch of stuff come up with missing keywords. right now it's app-text/ebook-tools
_________________
[Owner/Operator: Dhampir Dreams]
Last.fm profile
Netflix Profile
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Thu Oct 02, 2008 7:44 pm    Post subject: Reply with quote

error in akonadi:

server cannot start because /usr/share/config is NOT accessible for users! so it cannot copy the configuration into users directory.

EDIT: now i get the folling error: The Akonadi server process is not registered at D-Bus which typically means it was not started or encountered a fatal error during startup.

Code:
Database server exited unexpectedly, exit code 1
[
0: akonadiserver(_Z10kBacktracev+0x39) [0x401dd9]
1: akonadiserver [0x402240]
2: /lib/libc.so.6 [0x3466c33170]
3: /lib/libc.so.6(gsignal+0x35) [0x3466c330e5]
4: /lib/libc.so.6(abort+0x183) [0x3466c34c53]
5: /usr/lib/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x7d) [0x34708537fd]
6: /usr/lib/qt4/libQtCore.so.4(_Z6qFatalPKcz+0xd7) [0x3470853937]
7: /usr/lib/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0x76c) [0x7f2e869ef1cc]
8: /usr/lib/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x1c1) [0x7f2e869efe31]
9: /usr/lib/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x47) [0x7f2e869f0cd7]
10: akonadiserver(main+0x55) [0x4019c5]
11: /lib/libc.so.6(__libc_start_main+0xe6) [0x3466c1e486]
12: akonadiserver(__gxx_personality_v0+0x89) [0x401879]
]
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Fri Oct 03, 2008 2:26 am    Post subject: Reply with quote

I have a problem with kde-4.1.67 and 4.1.68 and the appearance settings. The problem is "Get new Schemes" and "Get new Themes" no longer contact the internet to grab schemes so the window that pops up is empty. This worked with 4.1.66.

[EDIT]This appears to work on the laptop. I am looking into the desktop for the reason for the failure.[/EDIT]
_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Fri Oct 03, 2008 5:06 am    Post subject: Reply with quote

I've had a problem with the last svn ebuild of plasma-workspace : EAPI value was 2. it was the only ebuild to have this value, and it caused an error when trying to emerge it. So I replaced EAPI="2" by EAPI="1" like in the other ebuilds of kdesvn-portage. I don't know if i did well, but now it compiles normally...

[EDIT] It seems that I didn't have the good version of portage 2.2 : rc8 instead of rc11 ... now Portage-2.2-rc11 recognizes EAPI="2"
Back to top
View user's profile Send private message
z_sfeng
Apprentice
Apprentice


Joined: 21 Apr 2004
Posts: 154
Location: Finland

PostPosted: Fri Oct 03, 2008 10:40 am    Post subject: file collision from digikam and kdebase-data in kde-svn Reply with quote

emerge digikam (kde-svn) failed due to file collision. Just some digikam icons from kdebase-data. Is there any way to let emerge ignores the collision and continues?
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Fri Oct 03, 2008 3:08 pm    Post subject: Reply with quote

Hi. I've install some plasmoids from kde-look.org, but can't see them among others in the widget list, even after restart. Any ideas? kde-4.1.68 (66,67 same problem)
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3257
Location: Gainesville, Florida

PostPosted: Sat Oct 04, 2008 4:23 am    Post subject: Reply with quote

z_sfeng wrote:
Quote:
emerge digikam (kde-svn) failed due to file collision. Just some digikam icons from kdebase-data. Is there any way to let emerge ignores the collision and continues?
You can use on the command line for indivual file collisions:
Code:
COLLISION_IGNORE="file 1 file 2"  emerge your_failed_package

However, even though this usally works, it's not guaranteed it won't cause other problems at some point. On the other hand, I've done it a few times with no problems. Some might recommend setting globally in make.conf:
Code:
FEATURES="collision-protect"

but I'm not sure that's a good idea. IMO, I'd generally want to know about any file collisions, even if they don't cause a failure.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.3.6-gentoo-r1 USE=experimental
Back to top
View user's profile Send private message
z_sfeng
Apprentice
Apprentice


Joined: 21 Apr 2004
Posts: 154
Location: Finland

PostPosted: Sat Oct 04, 2008 6:31 am    Post subject: Reply with quote

Thanks. I just deleted those file from kdebase-data, then emerged digikam.
Just for a quick and dirty, hope the ebuild will be fix soon.
Back to top
View user's profile Send private message
Nuitari
Apprentice
Apprentice


Joined: 15 May 2005
Posts: 245

PostPosted: Sat Oct 04, 2008 7:36 am    Post subject: Reply with quote

ehm...where is 4.1.68? i've synced and deleted-readded kdesvn-portage, but i've only 4.1.67.. 8O
_________________
Da un discorso su #gentoo:

[15:10] <flowolf> pino: credo che se dovessi leggere ancora un punto interrogativo ed il tuo nick sulla stessa riga
[15:10] <flowolf> potrei andare fuori di testa
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Sat Oct 04, 2008 8:00 am    Post subject: Reply with quote

I just wanted to sync kde-testing and git the following:

Quote:

* Overlay "rostov" is missing a "description" entry!
* Overlay "rostov" is missing a "description" entry!
* Overlay "rostov" is missing a "description" entry!
* Overlay "rostov" is missing a "description" entry!
* Running command "cd "/usr/portage/local/layman/kde-testing" && /usr/bin/git pull"...
remote: Counting objects: 22, done.
remote: Compressing objects: 100% (10/10), done.
remote: Total 10 (delta 6), reused 0 (delta 0)
Unpacking objects: 100% (10/10), done.
From git://git.overlays.gentoo.org/proj/kde
a266545..67b5766 master -> origin/master
Updating d14b436..67b5766
Documentation/package.keywords/kde: needs update
error: Entry 'Documentation/package.keywords/kde' not uptodate. Cannot merge.
*
* Errors:
* ------
*
* Failed to sync overlay "kde-testing".
* Error was: Syncing overlay "kde-testing" returned status 32768!
*


Any ideas what went wrong?
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Sat Oct 04, 2008 4:48 pm    Post subject: Reply with quote

Did you edit your

/etc/portage/package.keywords/kde

file?

If so you made your version newer than what is in the repository so it is complaining. To fix move your changes to another file inside /etc/portage/package.keywords and delete this file in the layman tree.
_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Sun Oct 05, 2008 8:44 am    Post subject: Reply with quote

Thanks a lot, that did it!
Back to top
View user's profile Send private message
coolsnowmen
Veteran
Veteran


Joined: 30 Jun 2004
Posts: 1479
Location: No.VA

PostPosted: Mon Oct 06, 2008 7:49 pm    Post subject: Reply with quote

Trying to install the 4.1.68 on a 64bit
Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.21-gentoo-r4 x86_64)

And I getan error on kde-base/kdepimlibs-4.1.68 USE="sasl"

Code:
Scanning dependencies of target kpimidentities                                                                     
[ 38%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/model.o                                       
[ 40%] Building CXX object kpimidentities/CMakeFiles/kpimidentities.dir/identitymanager.o                           
[ 40%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemcopyjob.o                                         
[ 41%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemdeletejob.o                                       
[ 41%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/modelmaker.o                                 
[ 41%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemfetchjob.o                                       
[ 41%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/rdfvocab.o                                   
[ 41%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemfetchscope.o                                     
[ 41%] Building CXX object kpimidentities/CMakeFiles/kpimidentities.dir/identity.o                                 
/var/tmp/portage/kde-base/kdepimlibs-4.1.68/work/kdepimlibs-4.1.68/kpimidentities/identity.cpp:24:28: error: sonnet/globals.h: No such file or directory                                                                               
[ 41%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/sequence.o                                   
[ 41%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemmodel.o                                           
[ 41%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/statement.o                                   
[ 41%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemmonitor.o                                         
[ 41%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/resourcewrapper.o                             
[ 43%] [ 43%] Building CXX object syndication/CMakeFiles/syndication.dir/rdf/nodevisitor.o                         
Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemmovejob.o                                               
[ 43%] Building CXX object syndication/CMakeFiles/syndication.dir/atom/category.o                                   
[ 43%] Building CXX object akonadi/CMakeFiles/akonadi-kde.dir/itemserializer.o                                     
/var/tmp/portage/kde-base/kdepimlibs-4.1.68/work/kdepimlibs-4.1.68/akonadi/itemserializer.cpp:60: warning: unused parameter 'label'                                                                                                     
make[2]: *** [kpimidentities/CMakeFiles/kpimidentities.dir/identity.o] Error 1                                     
make[1]: *** [kpimidentities/CMakeFiles/kpimidentities.dir/all] Error 2                                             
make[1]: *** Waiting for unfinished jobs....


checking around I found it, so it exists...
Code:
pwd
/usr/kde/4.2/include/sonnet
# ls globals.h
globals.h

I cleared /var/tmp/portage and tried again...no dice

any ideas?

EDIT: Ok do you have to unmerge kde4.1 to install this because I think I found part of the problem
Code:

-- Adding /usr/kde/4.2/share/apps/cmake/modules to CMAKE_MODULE_PATH                                               
-- Performing Test _OFFT_IS_64BIT                                                                                   
-- Performing Test _OFFT_IS_64BIT - Success                                                                         
-- Performing Test HAVE_FPIE_SUPPORT                                                                               
-- Performing Test HAVE_FPIE_SUPPORT - Success                                                                     
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL                                                                 
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success                                                       
-- Performing Test __KDE_HAVE_GCC_VISIBILITY                                                                       
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success                                                             
-- Found Phonon: /usr/lib64/libphonon.so                                                                           
-- Found Phonon Includes: /usr/include/KDE;/usr/include                                                             
-- Found KDE 4.1 include dir: /usr/include                                                                         
-- Found KDE 4.1 library dir: /usr/lib64                                                                           
-- Found KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler                                             

It is looking in the wrong path!
_________________
emerge: there are no ebuilds to satisfy "moo"
Back to top
View user's profile Send private message
rampage7
Guru
Guru


Joined: 21 Mar 2004
Posts: 308
Location: Poland / Jastrzebie Zdroj

PostPosted: Mon Oct 06, 2008 9:39 pm    Post subject: Reply with quote

coolsnowmen

Try this:
- hit ctrl-z immediately after unpacking source by portage
- copy by hand some sonnet source files from unpacked tarball of kdelibs:
Code:

cp -r /path-to-unpacked-kdelibs/KDE/kdelibs/kdelibs/kdecore/sonnet/ /var/tmp/portage/kde-base/kdepimlibs-4.1.68/work/kdepimlibs-4.1.68/kpimidentities/

- fg

maybe it is not elegant solution, but worked for me.
_________________
To nie moje s± s³owa, to legenda ludowa.....
Back to top
View user's profile Send private message
coolsnowmen
Veteran
Veteran


Joined: 30 Jun 2004
Posts: 1479
Location: No.VA

PostPosted: Tue Oct 07, 2008 1:39 am    Post subject: Reply with quote

rampage7 wrote:
...
Try this:
- hit ctrl-z immediately after unpacking source by portage
- copy by hand some sonnet source files from unpacked tarball of kdelibs:
Code:

cp -r /path-to-unpacked-kdelibs/KDE/kdelibs/kdelibs/kdecore/sonnet/ /var/tmp/portage/kde-base/kdepimlibs-4.1.68/work/kdepimlibs-4.1.68/kpimidentities/

- fg
...

I got permission from the user to take down his old kde 4.1 session first based on the observation that it was expressly noticing the old 4.1 install (from the kdetesting overlay). Unmerging all kde 4.1 stuff fixed this problem.
Thank you for your response, that would have been my next move surely.
_________________
emerge: there are no ebuilds to satisfy "moo"
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Tue Oct 07, 2008 8:10 am    Post subject: Reply with quote

Amarok (1.90) crashes each time I try to play a song. Any one else with a similar problem?
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Tue Oct 07, 2008 8:22 am    Post subject: Reply with quote

Have you tried switching to amarok-1.92.2?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, ... 28, 29, 30  Next
Page 2 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum